Skip to main content
GET
/
api
/
organizations
/
{organizationId}
/
pipelines
List pipelines
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/pipelines \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "pipelines": [
    {
      "id": 123,
      "name": "<string>",
      "description": "<string>",
      "steps": [
        {
          "name": "<string>",
          "filter": "<string>",
          "pathFilters": [
            {
              "dataset": "<string>",
              "filter": "<string>"
            }
          ],
          "uploadType": "project",
          "projectId": 123,
          "newProjectName": "<string>",
          "projectApiKey": "<string>",
          "projectHmacKey": "<string>",
          "transformationBlockId": 123,
          "builtinTransformationBlock": {},
          "category": "training",
          "outputDatasetName": "<string>",
          "outputDatasetBucketId": 123,
          "outputDatasetBucketPath": "<string>",
          "outputPathInDataset": "<string>",
          "outputDatasetPathRule": "no-subfolders",
          "label": "<string>",
          "transformationParallel": 123,
          "extraCliArguments": "<string>",
          "parameters": {}
        }
      ],
      "created": "2023-11-07T05:31:56Z",
      "emailRecipientUids": [
        123
      ],
      "whenToEmail": "always",
      "intervalStr": "<string>",
      "nextRun": "2023-11-07T05:31:56Z",
      "lastRunStartError": "<string>",
      "notificationWebhook": "<string>"
    }
  ],
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

Query Parameters

projectId
integer

If set, filters on pipelines which are attached to this project.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

pipelines
object[]
required
error
string

Optional error description (set if 'success' was false)